Subject: Re: Gitk feature - show nearby tags

From: Jakub Narebski <[email-masked]>
Date: Sat, 03 Jun 2006 17:33:30 +0200

Jonas Fonseca wrote:

> I already took your hint from the other day on irc and have begun on
> implementing this revision graph visualization for tig. :)
> 
> The problem is of course to come up with some ascii-art which is both
> readable and dense. Below is my mockup of something not using line
> graphics,[...]

As I can see you use 'vertical' layout. Do I understand correctly that '*'
refers to commit on marked (by column) branch, and '|' means pass-thru?

BTW. you might want to take a look at http://revctrl.org/ diagrams;
AFAICT all the git documentation uses 'horizontal' layout, which is good
for example but perhaps not for long-lived development...

-- 
Jakub Narebski
Warsaw, Poland